Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056549 - CONSOLE_SECURITY must be set to remote_user in /etc/openshift/console.conf
Summary: CONSOLE_SECURITY must be set to remote_user in /etc/openshift/console.conf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 2.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: brice
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 12:48 UTC by Brenton Leanhardt
Modified: 2017-03-08 17:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-29 00:45:25 UTC


Attachments (Terms of Use)

Description Brenton Leanhardt 2014-01-22 12:48:45 UTC
Description of problem:

The default for CONSOLE_SECURITY is 'remote_user' in the OSE openshift-origin-console.  This is actually a requirement and we should mention it in the documentation.

Comment 2 brice 2014-01-22 23:58:40 UTC
Added an important box to section 6.9.7.1 Installing the Management Console:

"Ensure that the CONSOLE_SECURITY setting in the /etc/openshift/console.conf file has the default setting of remote_user. This is a requirement of OpenShift Enterprise and will ensure proper HTTP authentication.

CONSOLE_SECURITY=remote_user"

Brenton, let me know if you'd like anything changed.

Comment 4 Brenton Leanhardt 2014-01-23 12:55:03 UTC
Looks good to me!  Thanks for the help.

Comment 5 brice 2014-01-24 00:32:27 UTC
Cool. Onto QA it goes.


Note You need to log in before you can comment on or make changes to this bug.